# Create a new Scheduled Report Export

Create a new scheduled job. Set a schedule for a classic Insights report to be exported from Kantata OX to download later. You will need to write a script to download the report.

Endpoint: POST /scheduled_jobs/insights_report_exports
Version: 1.0.0

## Request fields (application/json):

  - `insights_report_export` (object)

  - `insights_report_export.external_report_object_identifier` (string, required)
    Enter the unique identifier of the classic Insights report you want to export on a schedule. Each report has one. Use the Insights Report endpoint to get the identifier for the report you want to export.

  - `insights_report_export.recurrence` (object, required)
    A schedule for when you would like the report export to repeat, consisting of the cadence and start_time that you define.

  - `insights_report_export.recurrence.cadence` (string, required)
    Define how often a scheduled export runs. Valid values: hourly, daily.

  - `insights_report_export.recurrence.start_time` (string)
    Define the date and time a schedule begins in ISO 8601 format. Daily scheduled exports will recur at this time everyday. This parameter is required for all non-hourly schedules. The datetime must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `insights_report_export.title` (string)
    Give a name for the scheduled report export.

  - `insights_report_export.description` (string)
    Give a description for the scheduled report export.

## Response 200 fields (application/json):

  - `id` (integer)
    The ID of a scheduled report export.

  - `title` (string)
    The name of a scheduled report export.

  - `description` (string)
    The description of a scheduled report export, if provided.

  - `external_report_object_identifier` (string)
    The unique identifier of the report you want to export on a schedule. Each report has one.

  - `recurrence` (object)
    The schedule for when you would like the report export to repeat, defined by the cadence and start_time.

  - `recurrence.cadence` (string)
    How often a scheduled export runs, defined as either hourly or daily.

  - `recurrence.start_time` (string)
    The timestamp for when a schedule begins. Daily scheduled exports recur at this time everyday. This property is only applicable to non-hourly schedules.

  - `created_at` (string)
    The timestamp for when an export of a report was completed.

  - `latest_success` (object)
    Download the most recent successfully exported report.

  - `latest_success.url` (string)
    The URL to the most recent successful report export. Download the exported report within 60 seconds. The URL expiration period is subject to change. If you do not download the report within 60 seconds, you can send a new request to generate a new URL.

  - `latest_success.created_at` (string)
    Timestamp for when the most recent successful report export was completed.

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


